%global commit0 0b1da6b545198078d1bbe9278c3099add785237d
%global date 20170325
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           ethminer-genoil
Version:        1.1.7
Release:        2%{?shortcommit0:.%{date}git%{shortcommit0}}%{?dist}
Summary:        Ethereum miner with CUDA and stratum support

Group:          System Environment/Daemons
License:        MIT
URL:            https://github.com/genoil/cpp-ethereum
Source0:        https://github.com/genoil/cpp-ethereum/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  curl-devel
BuildRequires:  pkgconfig(cryptopp)
BuildRequires:  pkgconfig(jsoncpp)
BuildRequires:  pkgconfig(leveldb)
BuildRequires:  pkgconfig(libjsonrpccpp-server)
BuildRequires:  pkgconfig(libmicrohttpd)
BuildRequires:  pkgconfig(ocl-icd)
%if 0%{?fedora}
Suggests:       ocl-icd
%endif

%description
Formerly known as Genoil's CUDA miner, ethminer-0.9.41-genoil-1.x.x is a fork
of the stock ethminer version 0.9.41. While native CUDA support is its most
significant difference, it has the following additional features:

 * realistic benchmarking against arbitrary epoch/DAG/blocknumber
 * on-GPU DAG generation (no more DAG files on disk)
 * stratum mining without proxy
 * OpenCL devices picking
 * farm failover (getwork + stratum)


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -qn cpp-ethereum-%{commit0}
for file in $(find . -name CMakeLists.txt); do
  sed -i 's|^\(install.*LIBRARY DESTINATION\) lib|\1 %{_lib}|' $file; done
  
%if 0%{?rhel}
# Lower required boost version slightly to make it compile with RHEL7
sed -i 's|Boost 1.54.0 REQUIRED|Boost 1.53.0 REQUIRED|' cmake/EthDependencies.cmake
%endif


%build
%cmake -DBUNDLE=miner .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%{_bindir}/*
%{_libdir}/*
%license GPLV3_LICENSE LICENSE
%doc README.md

%files devel
%{_includedir}/*


%changelog
* Sat Mar 25 2017 Samuel Rakitničan <samuel.rakitnican@gmail.com> 1.1.7-2.20170325git0b1da6b
- Rebuild for libjsonrpccpp so version bump

* Sat Mar 25 2017 Samuel Rakitničan <samuel.rakitnican@gmail.com> 1.1.7-1.20170325git0b1da6b
- Initial build
